aboutsummaryrefslogtreecommitdiff
path: root/git-verify-tag.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-11-27 23:19:58 -0800
committerJunio C Hamano <junkio@cox.net>2005-11-28 23:13:03 -0800
commitd6ea70af7708af5f29db09b2d782ab3b9ce50f79 (patch)
tree3f7b1e4b5dac7116e83718758647cafa81367d37 /git-verify-tag.sh
parent7ea2fc47d258657d673ce3b9403ed98cc50e2600 (diff)
downloadgit-d6ea70af7708af5f29db09b2d782ab3b9ce50f79.tar.gz
git-d6ea70af7708af5f29db09b2d782ab3b9ce50f79.tar.xz
verify-tag: make it operable from a subdirectory.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-verify-tag.sh')
-rwxr-xr-xgit-verify-tag.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/git-verify-tag.sh b/git-verify-tag.sh
index 3c65f4a6b..d6e0eb87c 100755
--- a/git-verify-tag.sh
+++ b/git-verify-tag.sh
@@ -1,5 +1,6 @@
#!/bin/sh
-. git-sh-setup
+
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
type="$(git-cat-file -t "$1" 2>/dev/null)" ||
die "$1: no such object."
@@ -7,6 +8,9 @@ type="$(git-cat-file -t "$1" 2>/dev/null)" ||
test "$type" = tag ||
die "$1: cannot verify a non-tag object of type $type."
-git-cat-file tag "$1" > .tmp-vtag || exit 1
-cat .tmp-vtag | sed '/-----BEGIN PGP/Q' | gpg --verify .tmp-vtag - || exit 1
-rm -f .tmp-vtag
+git-cat-file tag "$1" >"$GIT_DIR/.tmp-vtag" || exit 1
+cat "$GIT_DIR/.tmp-vtag" |
+sed '/-----BEGIN PGP/Q' |
+gpg --verify "$GIT_DIR/.tmp-vtag" - || exit 1
+rm -f "$GIT_DIR/.tmp-vtag"
+